org.eclipse.draw2d.text

## Class ContentBox

- java.lang.Object
- - org.eclipse.draw2d.text.FlowBox
  - - org.eclipse.draw2d.text.ContentBox

Direct Known Subclasses:
  TextFragmentBox

    public abstract class ContentBox
    extends FlowBox

FlowBoxes that are leaf nodes.

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`ContentBox()`

### Method Summary

Methods
`int` `getBaseline()` Returns y coordinate for the box's baseline.
`int` `getBidiLevel()`
`boolean` `requiresBidi()` Returns `true` if the bidi level for this box is specified, and is not the default level (0).
`void` `setBidiLevel(int newLevel)` Sets the Bidi level of this fragment.

### Methods inherited from class org.eclipse.draw2d.text.FlowBox

`containsPoint, getAscent, getDescent, getWidth, getX, setWidth, setX`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentBox

    public ContentBox()

### Method Detail

#### getBaseline

    public int getBaseline()

Description copied from class: `FlowBox`
Returns y coordinate for the box's baseline.

Specified by:
  `getBaseline` in class `FlowBox`
Returns:
  the baseline location
See Also:
  `FlowBox.getBaseline()`

#### getBidiLevel

    public int getBidiLevel()

Returns:
  the Bidi level of this box, if one has been set; -1 otherwise
See Also:
  `setBidiLevel(int)`

#### requiresBidi

    public boolean requiresBidi()

Returns `true` if the bidi level for this box is specified, and is not the default level (0).

Overrides:
  `requiresBidi` in class `FlowBox`
Returns:
  `true` if the box is bi-directional
See Also:
  `FlowBox.requiresBidi()`

#### setBidiLevel

    public void setBidiLevel(int newLevel)

Sets the Bidi level of this fragment. It is used to rearrange fragments as defined by the Unicode Bi-directional algorithm. Valid values are -1 (meaning no Bidi level), or any non-negative integer less than 62.

Parameters:
  `newLevel` - the new BidiLevel
See Also:
  `getBidiLevel()`